> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get User Details

GET https://api.vomo.org/v1/users/{id}



Reference: https://virtuous.ferndocs.com/reference/volunteer/users/get-user-details

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (integer, required) — VOMO User ID

## Response

### 200

successful operation

- `data` (list of UserDetailResource, optional) — User details

## Types

### UserDetailResource

A VOMO Project

- `address` (string, optional) — User's Address
- `birthday` (string, optional) — The birthday for the user
- `created_at` (datetime, optional) — The date and time the user was created at
- `email` (string, optional) — User's Email
- `first_name` (string, optional) — User's First Name
- `full_name` (string, optional) — User's full name
- `gender` (enum, optional) — The gender for the user
  - Allowed values: `M`, `F`, `N`
- `id` (integer, optional) — User's ID
- `last_name` (string, optional) — User's Last Name
- `membership_role` (string, optional) — The User's membership role for the current org
- `membership_status` (string, optional) — The User's membership status for the current org
- `participations` (list of ParticipationResource, optional)
- `phone` (string, optional) — User's Phone Number
- `profile_field_values` (list of FormFieldResponseResource, optional)
- `type` (string, optional) — VOMO object type
- `updated_at` (datetime, optional) — The date and time the user was updated at
- `user_status` (string, optional) — The User's status

### ParticipationResource

List of Groups

- `guests` (integer, optional) — The number of guests for this participation
- `checked_in_at` (datetime, optional) — The date and time a user checked in for this participation
- `checked_out_at` (datetime, optional) — The date and time a user checked out of this participation
- `signed_up_at` (datetime, optional) — The date and time a user signed up for this participation
- `hours` (integer, optional) — The calculated number of hours for the participation
- `verified` (boolean, optional) — If the participation has been verified by the organizer
- `role` (string, optional) — The participants assigned role
- `project_id` (string, optional) — The project ID associated with this participation
- `project_date_id` (string, optional) — The project date ID associated with this participation

### FormFieldResponseResource

Form Field Response

- `type` (string, optional) — The type of VOMO Object
- `id` (integer, optional) — The ID of the response
- `form_completion_id` (integer, optional) — The ID of the form completion
- `user_id` (integer, optional) — The ID of the user who completed the form field
- `field_id` (integer, optional) — The ID of the form field
- `value` (string, optional) — The value of the field response

## Examples

**Response**

```json
{
  "data": [
    {
      "address": "610 Elm St, McKinney, TX 75069, USA",
      "birthday": "1975-12-01",
      "created_at": "2016-03-07T07:49:41+00:00",
      "email": "person@vomo.org",
      "first_name": "John",
      "full_name": "John Doe",
      "gender": "M",
      "id": 1,
      "last_name": "Doe",
      "membership_role": "VOLUNTEER",
      "membership_status": "ACCEPTED",
      "participations": [
        {
          "guests": 1,
          "checked_in_at": "2020-01-01T12:00:00+00:00",
          "checked_out_at": "2020-01-01T12:00:00+00:00",
          "signed_up_at": "2020-01-01T12:00:00+00:00",
          "hours": 2,
          "verified": "1",
          "role": "Volunteer",
          "project_id": "1",
          "project_date_id": "1"
        }
      ],
      "phone": "1234567890",
      "profile_field_values": [
        {
          "type": "form_field_response",
          "id": 1,
          "form_completion_id": 1,
          "user_id": 1,
          "field_id": 1,
          "value": "S"
        }
      ],
      "type": "user",
      "updated_at": "2016-03-07T07:49:41+00:00",
      "user_status": "VERIFIED"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.vomo.org/v1/users/1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.vomo.org/v1/users/1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vomo.org/v1/users/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.vomo.org/v1/users/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/users/1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vomo.org/v1/users/1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.vomo.org/v1/users/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vomo.org/v1/users/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```